View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000319aMuleFeature Requestpublic2005-03-08 17:412005-03-17 17:16
Reporterender 
Assigned ToKry 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000319: Keep selection when changing sort order
DescriptionCurrently, when you change sort order in the listboxes, aMule keeps the selection relative to the top of list instead of keeping it on the previously selected item.
Additional InformationExample: I select the 2nd item in transfers list, then change the sort order, which makes this item 10th. The item stays selected, however the moment you press up or down arrow, the selection acts as if 2nd item was still selected, and so the selection jumps to either 1st or 3rd item instead 9th or 10th.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000714)
Kry (manager)
2005-03-09 05:39

Done, ender :)
(0000733)
ender (reporter)
2005-03-11 20:44

I don't agree the way this was resolved - while the display now scrolls to the selected item, the selection still behaves as before. When I change the sort order, I don't actually want the visible part of list to scroll to keep previously-selected item in sight, I want it to stay where it was, and only scroll there when I press up or down arrow to move selection (right now up/down arrow will still select relatively to previously selected position on list).
(0000734)
Kry (manager)
2005-03-12 20:50

As a matter of fact, it's exactly the opposite on my side. It's not scrolled, and when I push up or down it works as you request. I'll remove the scrolling and let's see.
(0000753)
Xaignar (manager)
2005-03-17 17:09

Seems to work properly again.
(0000754)
Kry (manager)
2005-03-17 17:16

Let's close it again then.

- Issue History
Date Modified Username Field Change
2005-03-08 17:41 ender New Issue
2005-03-08 17:42 Kry Status new => assigned
2005-03-08 17:42 Kry Assigned To => Kry
2005-03-09 05:39 Kry Status assigned => closed
2005-03-09 05:39 Kry Note Added: 0000714
2005-03-09 07:57 Kry Status closed => resolved
2005-03-09 07:57 Kry Resolution open => fixed
2005-03-11 20:44 ender Status resolved => feedback
2005-03-11 20:44 ender Resolution fixed => reopened
2005-03-11 20:44 ender Note Added: 0000733
2005-03-12 20:50 Kry Note Added: 0000734
2005-03-17 17:09 Xaignar Note Added: 0000753
2005-03-17 17:16 Kry Status feedback => resolved
2005-03-17 17:16 Kry Fixed in Version => CVS
2005-03-17 17:16 Kry Resolution reopened => fixed
2005-03-17 17:16 Kry Note Added: 0000754


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker